Source: https://atomicwork-preview.docs-staging.pageloop.ai/api-reference/customobjects/getapi-v-1-custom-objects-view-fields

# Get filter fields for custom object list view

GET `https://{tenant}.atomicwork.com/api/v1/custom-objects/view-fields`

## Authorization

#### X-Api-Key (header, string, required)

## Headers

#### X-Workspace-Id (header, string)

## Query Parameters

#### object\_type\_id (query, integer, required)

The object type ID to get filter fields for

## Response

#### 200

Successful response

#### Request

```bash cURL
curl -X GET 'https://{tenant}.atomicwork.com/api/v1/custom-objects/view-fields' \
  -H 'X-Api-Key: <api-key>'
```

```javascript JavaScript
const res = await fetch('https://{tenant}.atomicwork.com/api/v1/custom-objects/view-fields', {
  method: 'GET',
  headers: {
    'X-Api-Key': '<api-key>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://{tenant}.atomicwork.com/api/v1/custom-objects/view-fields',
    headers={'X-Api-Key': '<api-key>'}
)
data = res.json()
```
